<?php

namespace App\Controller\admin;

use App\Controller\AbstractController;
use Hyperf\HttpServer\Annotation\Controller;
use Hyperf\HttpServer\Annotation\RequestMapping;
use Hyperf\View\RenderInterface;

#[Controller(prefix: 'admin/spider-article')]
class SpiderArticleController extends AbstractController
{
    #[RequestMapping(path: '', methods: 'get')]
    public function index(RenderInterface $render): \Psr\Http\Message\ResponseInterface
    {
        return $render->render('spider-article/index');
    }

    #[RequestMapping(path: 'view', methods: 'get')]
    public function view(RenderInterface $render): \Psr\Http\Message\ResponseInterface
    {
        return $render->render('spider-article/view');
    }
}